/*
 * Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.
 */
package com.sun.javafx.tk.quantum;

/**
 * @author Artem Ananiev
 */
public class PopupScene extends ViewScene {

    public PopupScene(boolean verbose, boolean depthBuffer) {
        super(verbose, depthBuffer);
    }

    @Override
    public void setGlassStage(GlassStage stage) {
        super.setGlassStage(stage);
    }

    PopupStage getPopupStage() {
        return (PopupStage)glassStage;
    }

    @Override
    public void sceneChanged() {
        GlassScene ownerScene = null;
        if (getPopupStage() != null && (ownerScene = getPopupStage().getOwnerScene()) != null) {
            ownerScene.sceneChanged();
        }
        super.sceneChanged();
    }
}
